Ryzom - Feature # 167

Status: Assigned Priority: Normal
Author: kaetemi Category: NeL: Sound
Created: 11/03/2008 Assignee: kaetemi
Updated: 04/12/2012 Due date:

Subiject: Implement occlusion and obstruction in sound drivers

Description

Implement occlusion and obstruction of sound sources in the sound drivers.
Replacement of EAX with newer EFX under OpenAL, and new implementation for XAudio2.
No implementation for FMod (environment effects were never implemented in that driver anyways) will be done for now.

Fix up the high level nlsound code to make use of the new non-eax interface when this is done (currently commented out).

Related issues:
related to Ryzom - Feature # 1314: OpenAL environment effects on Mac OS X New 06/06/2011

History

#1 - 05/11/2009 07:40 pm - sfb
- Target version set to 0.8.0

Despite being near completion it has been decided that 0.8.0 is a good version to target this for release.

#2 - 09/29/2010 09:25 pm - kervala

- Project changed from NeL to Ryzom
- Category deleted (Sound Lowlevel)
- Target version deleted (0.8.0)

#3 - 04/12/2012 07:38 pm - kaetemi

- Category set to NeL: Sound
- Estimated time changed from 15.00 to 40.00
